Subject: Re: About /etc/subuid and /etc/subgid commits

From: Nicolas Graves <[email-masked]>
Date: Sat, 21 Dec 2024 17:49:08 +0100

On 2024-12-19 12:32, paul wrote:

> Hi Nicolas, apologies for breaking your system :( Is is possible for you 
> to try and bisect the history to find the culprit commit?
>
> On 12/19/24 10:36, Nicolas Graves wrote:
>> It is a bit circumvoluted, but it worked properly on my side on
>> guix@478b9ccea8. Do you see a reason why your patches could break my
>> user login?
>
> I'm not sure, I was wondering: do you use/extend the subids-service-type 
> in your configuration or did you already have manually setup /etc/subuid 
> or /etc/subgid? Otherwise I'm not sure how it can impact your system, if 
> you could share even some parts of your operating-system configuration 
> it would make finding the problem a little easier.
>
> Since you mentioned PAM, these two changes that I authored were recently 
> merged. Could you try and see whether your system work at commit 
> a1ecd7f56c4ffadc49d5501a0df7f4c4556120c2 which is the parent of the 
> first pam change?
>
> Thank you very much :)

I've tried bisecting and this time it seems to work properly.  I'm not
sure what it was then, but it works fine now!

-- 
Best regards,
Nicolas Graves